Bug 136769 - s-c-b does not know about acl
Summary: s-c-b does not know about acl
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-bind   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-22 09:18 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.0.0-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-27 17:05:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ulrich Drepper 2004-10-22 09:18:29 UTC
User-Agent:       
Build Identifier: 

My named.conf file contains a line like

acl my.domain { 192.168.1.0/24; };

s-c-b fails which parsing the file.

Reproducible: Always
Steps to Reproduce:
1.add acl line to named.conf
2.start s-c-b
3.

Actual Results:  
Parse error

Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 95, in ?
    cfg = ConfNamed.ConfNamed("/etc/named.conf",ROOTDIR)
  File "/usr/share/system-config-bind/ConfNamed.py", line 328, in __init__
    current[-1].setOpt(val[0],join(val[1:],' '))
IndexError: list index out of range


Expected Results:  
Correct parsing.

Comment 1 Jason Vas Dias 2004-10-22 14:30:14 UTC
The next version handles ACLs and provides a GUI to create/edit them.

Comment 2 Jason Vas Dias 2005-01-03 19:28:45 UTC
This problem is now fixed by system-config-bind-4.0.0-1 in FC4/rawhide
- this is not quite the final version yet, but it does fix this problem.

Comment 3 Ulrich Drepper 2006-05-27 17:05:09 UTC
Works now in FC3+.


Note You need to log in before you can comment on or make changes to this bug.